<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [

<!-- Process this file with docbook-to-man to generate an nroff manual
     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
     less'.  A typical entry in a Makefile or Makefile.am is:

manpage.1: manpage.sgml
	docbook-to-man $< > $@

    
	The docbook-to-man binary is found in the docbook-to-man package.
	Please remember that if you create the nroff version in one of the
	debian/rules file targets (such as build), you will need to include
	docbook-to-man in your Build-Depends control field.

  -->


  <!ENTITY dhfirstname "<firstname>Angel</firstname>">
  <!ENTITY dhsurname   "<surname>Berlanas Vicente</surname>">
  <!ENTITY dhdate      "<date>Febrero 28, 2008</date>">
  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
       allowed: see man(7), man(1). -->
  <!ENTITY dhsection   "<manvolnum>8</manvolnum>">
  <!ENTITY dhemail     "<email>aberlanas.gva@gmail.com</email>">
  <!ENTITY dhusername  "Angel Berlanas Vicente">
  <!ENTITY dhucpackage "<refentrytitle>lliurex-userfuncs</refentrytitle>">
  <!ENTITY dhpackage   "lliurex-admin-manager">
  <!ENTITY dhticket    "https://lliurex.net/projects/valencia/lliurex-pool-ng/newticket">

  <!ENTITY debian      "<productname>LliureX</productname>">
  <!ENTITY gnu         "<acronym>GNU</acronym>">
  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
]>

<refentry>
  <refentryinfo>
    <address>
      &dhemail;
    </address>
    <author>
      &dhfirstname;
      &dhsurname;
    </author>
    <copyright>
      <year>2008</year>
      <holder>&dhusername;</holder>
    </copyright>
    &dhdate;
  </refentryinfo>
  <refmeta>
    &dhucpackage;

    &dhsection;
  </refmeta>
  <refnamediv>
    <refname>&dhpackage;</refname>

    <refpurpose>Programa para Administrar los Usuarios pertenecientes al grupo admin in a LliureX distribution</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <cmdsynopsis>
      <command>&dhpackage;</command>
 </cmdsynopsis>
  </refsynopsisdiv>
   	 <refsect1>
		<title>OPCIONES</title>
		<variablelist>
			<varlistentry>
				<term><option>list</option>
				</term>			
				<listitem>
				<para>Lista todos los usuarios en el grupo  admin </para>
				</listitem>
				<term><option>add USER</option>
				</term>			
				<listitem>
				<para>Añade un usuario al grupo admin</para>
				</listitem>
				<term><option>del USER</option>
                                </term>                 
                                <listitem>
                                <para>Borra el usuario USER del grupo Admin</para>
                                </listitem> 

			</varlistentry>
		</variablelist>
	</refsect1>
<refsect1>
    <title>DESCRIPCION</title>

    <para>Esta página del manula documenta el comando:
      <command>&dhpackage;</command> command.</para>

    <para>Este manual está escrito para la distribución &debian;</para>
<para> <command>&dhpackage;</command> Proporciona una serie de utilidades para Administrar los usuarios del grupo admin en una distribución  &debian;. </para>
<para> Este comando tan solo funciona con los usuarios LOCALES que pertenezcan al grupo admin, en caso de que se desee administrar usuarios de red  , utilize el comando: lliurex-netadmin-manager. &dhpackage; es una parte de la Suite lliurex-netfuncs.sh
 </para><para>Vea tambien: lliurex-userfuncs</para>
</refsect1>
<refsect1>
    <title>BUGS</title>

    <para>Para informar de un fallo, por favor envie un correo con una pequeña descripción de su problema.</para>
    <para>&dhticket;</para>
    
  </refsect1>
<refsect1>
    <title>VEASE TAMBIE</title>

    <para>lliurex-netfuncs</para>

  </refsect1>
  <refsect1>
    <title>AUTHOR</title>

    <para>This manual page was written by &dhusername; <&dhemail;> for
      the &debian; system (but may be used by others).  Permission is
      granted to copy, distribute and/or modify this document under
      the terms of the &gnu; General Public License, Version 2 any 
	  later version published by the Free Software Foundation.
    </para>
	<para>
	  On Debian systems, the complete text of the GNU General Public
	  License can be found in /usr/share/common-licenses/GPL.
	</para>

  </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:t
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:2
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:nil
sgml-exposed-tags:nil
sgml-local-catalogs:nil
sgml-local-ecat-files:nil
End:
-->

