<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [

<!-- Process this file with docbook-to-man to generate an nroff manual
     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
     less'.  A typical entry in a Makefile or Makefile.am is:

manpage.1: manpage.sgml
	docbook-to-man $< > $@

    
	The docbook-to-man binary is found in the docbook-to-man package.
	Please remember that if you create the nroff version in one of the
	debian/rules file targets (such as build), you will need to include
	docbook-to-man in your Build-Depends control field.

  -->


  <!ENTITY dhfirstname "<firstname>Angel</firstname>">
  <!ENTITY dhsurname   "<surname>Berlanas Vicente</surname>">
  <!ENTITY dhdate      "<date>Febrero 28, 2008</date>">
  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
       allowed: see man(7), man(1). -->
  <!ENTITY dhsection   "<manvolnum>8</manvolnum>">
  <!ENTITY dhemail     "<email>aberlanas.gva@gmail.com</email>">
  <!ENTITY dhusername  "Angel Berlanas Vicente">
  <!ENTITY dhucpackage "<refentrytitle>lliurex-userfuncs</refentrytitle>">
  <!ENTITY dhpackage   "lliurex-userfuncs">
  <!ENTITY dhticket    "https://lliurex.net/projects/valencia/lliurex-pool-ng/newticket">

  <!ENTITY debian      "<productname>LliureX</productname>">
  <!ENTITY gnu         "<acronym>GNU</acronym>">
  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
]>

<refentry>
  <refentryinfo>
    <address>
      &dhemail;
    </address>
    <author>
      &dhfirstname;
      &dhsurname;
    </author>
    <copyright>
      <year>2008</year>
      <holder>&dhusername;</holder>
    </copyright>
    &dhdate;
  </refentryinfo>
  <refmeta>
    &dhucpackage;

    &dhsection;
  </refmeta>
  <refnamediv>
    <refname>&dhpackage;</refname>

    <refpurpose>Programa para administrar los usuarios dentro de la distribución LliureX </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <cmdsynopsis>
      <command>&dhpackage;</command>
 </cmdsynopsis>
  </refsynopsisdiv>
   	 <refsect1>
		<title>OPCIONES</title>
		<variablelist>
			<varlistentry>
				<term><option>llx_test_user USERNAME</option>
				</term>			
				<listitem>
				<para>Comprueba que el usuario existe en el Sistema</para>
				</listitem>
				<term><option>llx_test_group GROUP</option>
				</term>			
				<listitem>
				<para>Comprueba que el grupo existe en el Sistema</para>
				</listitem>
				<term><option>llx_get_username UID</option>
                                </term>                 
                                <listitem>
                                <para>Devuelve el nombre del PRIMER usuario que tiene ese Identificador</para>
                                </listitem> 
				<term><option>llx_get_groupname GID</option>
				</term>			
				<listitem>
				<para>Devuelve el nombre del PRIMER grupo que tiene ese Identificador de Grupo</para>
				</listitem>
				<term><option>llx_get_groupgid GROUPNAME<option>
				</term>			
				<listitem>
				<para>Devuelve el Identificador de Grupo que tiene ese nombre</para>
				</listitem>
				<term><option>llx_get_userid USERNAME </option>
				</term>			
				<listitem>
				<para>Devuelve el Identificador de Usuario del USERNAME indicado</para>
				</listitem>
				<term><option>llx_get_usergid USERNAME </option>
				</term>			
				<listitem>
				<para>Devuelve el Identificador del Grupo primario de ese usuario</para>
				</listitem>
				<term><option>llx_get_userhome USERNAME</option>
				</term>			
				<listitem>
				<para>Devuelve la ruta al directorio /home/ del usuario indicado</para>
				</listitem>
				<term><option>llx_get_user_maingroup USERNAME </option>
				</term>			
				<listitem>
				<para>Devuelve el Grupo Principal del usuario indicado</para>
				</listitem>
				<term><option>llx_get_user_groups USERNAME </option>
				</term>			
				<listitem>
				<para>Devuelve la lista de todos los grupos al los que pertenece el usuario indicado</para>
				</listitem>
				<term><option>llx_test_user_in_group USERNAME GROUP</option>
				</term>			
				<listitem>
				<para>Devuelve VERDADERO en caso de que el Usuario esté en el Grupo</para>
				</listitem>
				<term><option>llx_get_default_group_list USERNAME</option>
				</term>			
				<listitem>
				<para>Devuelve todos los grupos de un usuario excepto su grupo primario</para>
				</listitem>
				<term><option>llx_add_to_sudoers USERNAME </option>
				</term>			
				<listitem>
				<para>Añade al grupo sudoers al usuario indicado</para>
				</listitem>
				<term><option>llx_add_users_to_sudoers [NOPASSWD]</option>
				</term>			
				<listitem>
				<para>Añade a todos los usuarios locales al grupo sudoers, en caso de la opción NOPASSWD esté activa, los usuarios no tendrán password de sudo</para>
				</listitem>
				<term><option>llx_add_groups_to_sudoers [NOPASSWD]</option>
				</term>			
				<listitem>
				<para>Añade todos los grupos locales al grupo sudoers, en caso de que la opción NOPASSWD esté activa, los usuarios no tendrán password de sudo</para>
				</listitem>
				<term><option>llx_set_userpasswd USER PASSWORD </option>
				</term>			
				<listitem>
				<para>Establece el password para un determinado usuario</para>
				</listitem>
				<term><option>llx_del_userpasswd USER</option>
				</term>			
				<listitem>
				<para>Borra el password para un determinado usuario</para>
				</listitem>
				<term><option>llx_test_local_user USERNAME </option>
				</term>			
				<listitem>
				<para>Comprueba que el usuario se encuentra en el fichero /etc/passwd </para>
				</listitem>
				<term><option>llx_get_group_gid GROUPNAME</option>
				</term>			
				<listitem>
				<para>Devuelve el GID del Grupo indicado</para>
				</listitem>
				<term><option>llx_get_group_members GROUPNAME</option>
				</term>			
				<listitem>
				<para>Devuelve los usuarios de un determinado grupo, ordenados.</para>
				</listitem>

			</varlistentry>
		</variablelist>
	</refsect1>
<refsect1>
    <title>DESCRIPCIÓN</title>

    <para>Esta página del manual documenta el comando:
      <command>&dhpackage;</command> .</para>

    <para>Esta página del manual fué escrita para la distribución  &debian;</para>
<para> <command>&dhpackage;</command> Este paquete aporta herramientas para la administración de usuarios y grupos en un Sistema &debian;  </para>
<para> Todos estos comandos están pensados para trabajar mediante salida y entrada estándar. &dhpackage; es una parte de la Suite de lliurex-netfuncs.
 </para><para>Vea tambien el comando de superusuario: lliurex-admin-manager</para>
</refsect1>
<refsect1>
    <title>BUGS</title>

    <para>Crear un nuevo ticket en el Projecte LliureX , enviando un correo con su dirección de correo y una explicación de su problema.</para>
    <para>&dhticket;</para>
    
  </refsect1>
<refsect1>
    <title>VEA TAMBIEN</title>

    <para>lliurex-admin-manager</para>

  </refsect1>
  <refsect1>
    <title>AUTHOR</title>

    <para>This manual page was written by &dhusername; <&dhemail;> for
      the &debian; system (but may be used by others).  Permission is
      granted to copy, distribute and/or modify this document under
      the terms of the &gnu; General Public License, Version 2 any 
	  later version published by the Free Software Foundation.
    </para>
	<para>
	  On Debian systems, the complete text of the GNU General Public
	  License can be found in /usr/share/common-licenses/GPL.
	</para>

  </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:t
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:2
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:nil
sgml-exposed-tags:nil
sgml-local-catalogs:nil
sgml-local-ecat-files:nil
End:
-->

